package dev.shadowsoffire.apotheosis.adventure.client;

import net.minecraftforge.client.settings.IKeyConflictContext;
import com.mojang.blaze3d.platform.InputConstants;
import net.minecraftforge.client.settings.KeyModifier;
import net.minecraftforge.client.settings.KeyConflictContext;
import dev.shadowsoffire.apotheosis.adventure.net.RadialStateChangeMessage;
import dev.shadowsoffire.apotheosis.Apotheosis;
import net.minecraft.client.Minecraft;
import net.minecraftforge.event.TickEvent;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.client.event.RegisterKeyMappingsEvent;
import net.minecraft.client.KeyMapping;

public class AdventureKeys
{
    public static final KeyMapping TOGGLE_RADIAL;
    
    @SubscribeEvent
    public static void registerKeys(final RegisterKeyMappingsEvent e) {
        e.register(AdventureKeys.TOGGLE_RADIAL);
    }
    
    @SubscribeEvent
    public static void handleKeys(final TickEvent.ClientTickEvent e) {
        if (e.phase == TickEvent.Phase.START) {
            return;
        }
        if (Minecraft.m_91087_().f_91074_ == null) {
            return;
        }
        while (AdventureKeys.TOGGLE_RADIAL.m_90859_() && AdventureKeys.TOGGLE_RADIAL.isConflictContextAndModifierActive()) {
            if (Minecraft.m_91087_().f_91080_ == null) {
                Apotheosis.CHANNEL.sendToServer((Object)new RadialStateChangeMessage());
            }
        }
    }
    
    static {
        TOGGLE_RADIAL = new KeyMapping("key.apotheosis.toggle_radial_mining", (IKeyConflictContext)KeyConflictContext.IN_GAME, KeyModifier.CONTROL, InputConstants.Type.KEYSYM, 79, "key.categories.apotheosis");
    }
}
